<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda 7-Eleven  :: By Daniel Herrera T.   ::  -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="Proveedor">
			<xsl:attribute name="clave">
				<xsl:value-of select="Datos/Emisor/@noProveedor"/>
			</xsl:attribute>
		</xsl:element>
		<xsl:element name="Recepciones">
			<xsl:element name="Recepcion">
				<xsl:attribute name="folio">
					<xsl:value-of select="substring-after(Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio,'|')"/>
				</xsl:attribute>
				<xsl:attribute name="tienda">
					<xsl:value-of select="substring-before(Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio,'|')"/>
				</xsl:attribute>
				<xsl:attribute name="fecha">
					<xsl:value-of select="substring(Datos/Documento/RecibosMercancia/ReciboMercancia/@Fecha,1,10)"/>
				</xsl:attribute>
				<xsl:element name="Productos">
					<xsl:for-each select="Datos/Documento/Partidas/Partida[./XMLAddenda/Detalle/@NumRecepcion = '']">
						<xsl:call-template name="Detalle_partida"/>
					</xsl:for-each>
				</xsl:element>
			</xsl:element>
			<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/Recepciones/Recepcion">
				<xsl:if test="@NumRecepcion !=''">
					<xsl:element name="Recepcion">
						<xsl:attribute name="folio">
							<xsl:value-of select="@NumRecepcion"/>
						</xsl:attribute>
						<xsl:attribute name="tienda">
							<xsl:value-of select="@Tienda"/>
						</xsl:attribute>
						<xsl:attribute name="fecha">
							<xsl:value-of select="@FechaRecepcion"/>
						</xsl:attribute>
						<xsl:element name="Productos">
							<xsl:variable name="num_recep" select="@NumRecepcion"/>
							<xsl:for-each select="/Datos/Documento/Partidas/Partida[./XMLAddenda/Detalle/@NumRecepcion = $num_recep]">
								<xsl:call-template name="Detalle_partida"/>
							</xsl:for-each>
						</xsl:element>
					</xsl:element>
				</xsl:if>
			</xsl:for-each>
		</xsl:element>
		<xsl:element name="Moneda">
			<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
			<xsl:attribute name="tipo">
				<xsl:choose>
					<xsl:when test="$tpomon = 0">
						<xsl:text>MXP</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 1">
						<xsl:text>MXP</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 2">
						<xsl:text>USD</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="tc">
				<xsl:choose>
					<xsl:when test="$tpomon = 2">
						<xsl:value-of select="format-number(Datos/Documento/@TipoCambio,'0.0000')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>1</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template name="Detalle_partida">
		<xsl:element name="Producto">
			<xsl:attribute name="codigo">
				<xsl:choose>
					<xsl:when test="@CodigoBarras !=''">
						<xsl:value-of select="@CodigoBarras"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="@CodigoUPC !=''">
								<xsl:value-of select="@CodigoUPC"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@CodigoCliente"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="descripcion">
				<xsl:value-of select="@Descripcion"/>
			</xsl:attribute>
			<xsl:variable name="factor">
				<xsl:choose>
					<xsl:when test="./XMLAddenda/Detalle/@FactorDesglose &gt; 0">
						<xsl:value-of select="./XMLAddenda/Detalle/@FactorDesglose"/>
					</xsl:when>
					<xsl:when test="@FactorUnidadReferencial &gt; 0">
						<xsl:value-of select="@FactorUnidadReferencial"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="1"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="nvacant" select="@Cantidad * $factor"/>
			<xsl:attribute name="cantidad">
				<xsl:value-of select="format-number($nvacant,'0')"/>
			</xsl:attribute>
			<xsl:attribute name="precio">
				<!--xsl:value-of select="format-number(@PrecioBruto div $factor,'0.0000')"/-->
				<xsl:value-of select="format-number(@SubTotal div $nvacant,'0.0000')"/>
			</xsl:attribute>
			<xsl:variable name="sumIEPS" select="sum(./Impuestos/Impuesto[@Tipo='IEPS']/@Importe)"/>
			<xsl:variable name="sumIVA" select="sum(./Impuestos/Impuesto[@Tipo='IVA']/@Importe)"/>
			<xsl:variable name="sumRISR" select="sum(./Impuestos/Impuesto[@Tipo='RISR']/@Importe)"/>
			<xsl:variable name="sumRIVA" select="sum(./Impuestos/Impuesto[@Tipo='RIVA']/@Importe)"/>
			<xsl:attribute name="ieps">
				<xsl:choose>
					<xsl:when test="$sumIEPS &gt; 0">
						<xsl:value-of select="format-number($sumIEPS,'0.00')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>0.00</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="iva">
				<xsl:choose>
					<xsl:when test="$sumIVA &gt; 0">
						<xsl:value-of select="format-number($sumIVA,'0.00')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>0.00</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="retencionISR">
				<xsl:choose>
					<xsl:when test="$sumRISR &gt; 0">
						<xsl:value-of select="format-number($sumRISR,'0.00')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>0.00</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="retencionIVA">
				<xsl:choose>
					<xsl:when test="$sumRIVA &gt; 0">
						<xsl:value-of select="format-number($sumRIVA,'0.00')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>0.00</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="piezasPorUnidad">
				<xsl:value-of select="$factor"/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>